archivers/lbrate - The NetBSD Packages Collection

Extract/decompress CP/M LBR archives

lbrate extracts/decompresses files from the CP/M LBR format. (It can also list
and test such archives.) It does this in an `unzip'-like manner, mostly hiding
the details of individually compressed and renamed files, and transparently
dealing with the required decompression/renaming.

lbrate is apparently the only non-CP/M program to fully support
decompressing files from all three CP/M compression schemes (Q, Z, Y). With
this in mind, it can decompress such files directly, treating them as if they
were single-entry LBRs.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflbrate-1.1nb1.tgz
NetBSD 8.0earmv7hflbrate-1.1nb1.tgz
NetBSD 8.0earmv7hflbrate-1.1nb1.tgz
NetBSD 8.0i386lbrate-1.1nb1.tgz
NetBSD 8.0i386lbrate-1.1nb1.tgz
NetBSD 8.0i386lbrate-1.1nb1.tgz
NetBSD 8.0powerpclbrate-1.1nb1.tgz
NetBSD 8.0powerpclbrate-1.1nb1.tgz
NetBSD 8.0powerpclbrate-1.1nb1.tgz
NetBSD 8.0x86_64lbrate-1.1nb1.tgz
NetBSD 8.0x86_64lbrate-1.1nb1.tgz
NetBSD 8.0x86_64lbrate-1.1nb1.tgz
NetBSD 9.0aarch64lbrate-1.1nb1.tgz
NetBSD 9.0aarch64lbrate-1.1nb1.tgz
NetBSD 9.0aarch64lbrate-1.1nb1.tgz
NetBSD 9.0alphalbrate-1.1nb1.tgz
NetBSD 9.0alphalbrate-1.1nb1.tgz
NetBSD 9.0alphalbrate-1.1nb1.tgz
NetBSD 9.0earmlbrate-1.1nb1.tgz
NetBSD 9.0earmv6hflbrate-1.1nb1.tgz
NetBSD 9.0earmv6hflbrate-1.1nb1.tgz
NetBSD 9.0earmv6hflbrate-1.1nb1.tgz
NetBSD 9.0earmv6hflbrate-1.1nb1.tgz
NetBSD 9.0earmv7hflbrate-1.1nb1.tgz
NetBSD 9.0earmv7hflbrate-1.1nb1.tgz
NetBSD 9.0earmv7hflbrate-1.1nb1.tgz
NetBSD 9.0earmv7hflbrate-1.1nb1.tgz
NetBSD 9.0i386lbrate-1.1nb1.tgz
NetBSD 9.0i386lbrate-1.1nb1.tgz
NetBSD 9.0i386lbrate-1.1nb1.tgz
NetBSD 9.0mips64eblbrate-1.1nb1.tgz
NetBSD 9.0mips64eblbrate-1.1nb1.tgz
NetBSD 9.0mips64eblbrate-1.1nb1.tgz
NetBSD 9.0powerpclbrate-1.1nb1.tgz
NetBSD 9.0powerpclbrate-1.1nb1.tgz
NetBSD 9.0sparc64lbrate-1.1nb1.tgz
NetBSD 9.0sparc64lbrate-1.1nb1.tgz
NetBSD 9.0sparc64lbrate-1.1nb1.tgz
NetBSD 9.0sparc64lbrate-1.1nb1.tgz
NetBSD 9.0sparclbrate-1.1nb1.tgz
NetBSD 9.0sparclbrate-1.1nb1.tgz
NetBSD 9.0sparclbrate-1.1nb1.tgz
NetBSD 9.0x86_64lbrate-1.1nb1.tgz
NetBSD 9.0x86_64lbrate-1.1nb1.tgz
NetBSD 9.0x86_64lbrate-1.1nb1.tgz
NetBSD 9.0x86_64lbrate-1.1nb1.tgz
NetBSD 9.0x86_64lbrate-1.1nb1.tgz
NetBSD 9.0x86_64lbrate-1.1nb1.tgz
NetBSD 9.0x86_64lbrate-1.1nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.